<!--
  @description: 代理机构-项目管理-未制作招标文件组件
  @Modifier: 肖文龙
  @routerPath:
  @date: 2020/1/13-11:40
-->
<template>
  <div>
    <el-table
      ref="unTenderProcfilePackComp"
      :data="is_show?tableData:tableData[0]?[tableData[0]]:[]"

      @selection-change="selectionChange"
    >
      <el-table-column
        :selectable="isDisabled"
        disabled="true"
        type="selection"
        width="55"
      />
      <el-table-column
        type="index"
        label="序号"
        width="60"
        align="center"
      />
      <el-table-column

        align="center"
        label="标段（包）编号"
        min-width="200px"
        prop="packNo"
      />
      <el-table-column

        header-align="center"
        prop="packName"
        label="标段（包）名称"
      />
    </el-table>
    <div class="more">
      <span v-if="is_show" class="pointer" @click="is_show=false">
        收起更多（0）
        <i class="el-icon-arrow-up" />
      </span>
      <span v-else class="pointer" @click="is_show=true">
        展开更多（{{ tableData.length>0?tableData.length -1:0 }}）
        <i class="el-icon-arrow-down" />
      </span>
    </div>
  </div>
</template>

<script>
/* api*/
import { listUnmarkedTenderDocPackage } from '@api/bidding/tenderDoc'
/* 混合开发*/
import { tenderDoc } from './../mixins/tenderDoc'// 招标文件/资审文件
/* 公用方法*/
import { cloneObject } from '@assets/js/utils'// 常用方法
export default {
  name: 'NoMakePackListComp',
  mixins: [tenderDoc],
  data() {
    return {
      tenderBase: this.$store.getters.tenderBase, // 项目信息
      is_show: true, // // 标段展示状态
      searchData: {
        requestSource: '', // 来源 00:资审公告 01:招标公告 02:资格预审通知书 03:资审邀请函 04:后审邀请函
        fileQualificationType: '', // 00:资审文件 01:后审文件
        tenderId: this.$route.query.id// 项目Id
      },
      // 标段包列表
      tableData: [
        /* {
          bulletinId: '', // 公告Id
          makeStatus: '', // 是否可以制作 00 不可以制作 01可以制作
          packId: '', // 标段Id
          packName: '', // 标段名称
          packNo: '', // 标段编号
          stageId: ''// 阶段Id
        }*/
      ]
    }
  },
  created() {
    // 取公共tenderDoc.js里commonFileQualificationType
    this.searchData.fileQualificationType = this.commonFileQualificationType
    this.initRequestSource()// 判断requestSource
    this.initData()// 初始化数据
  },
  methods: {
    // 判断requestSource
    initRequestSource() {
      // 请求来源 00:资审公告 01:招标公告 02:资格预审通知书 资审邀请函03 后审邀请函04
      // 公开招标00 && // 资审阶段00
      if (this.tenderBase.tenderMethod === '00' && this.tenderBase.stageType === '00') {
        this.searchData.requestSource = '00' // 00:资审公告
      }
      // 公开招标00 && // 后审阶段01
      if (this.tenderBase.tenderMethod === '00' && this.tenderBase.stageType === '01') {
        this.searchData.requestSource = '01' //  01:招标公告
      }
      // 邀请招标01 && 资审00
      if (this.tenderBase.tenderMethod === '01' && this.tenderBase.stageType === '00') {
        this.searchData.requestSource = '03'// 03:资审邀请函
      }
      // 邀请招标01 && 后审01
      if (this.tenderBase.tenderMethod === '01' && this.tenderBase.stageType === '01') {
        this.searchData.requestSource = '04' // 04:后审邀请函
      }
    },
    // 初始化数据
    initData() {
      const data = {
        ...this.searchData
      }
      listUnmarkedTenderDocPackage(data).then(res => {
        this.tableData = res.data
      })
    },
    // 复选框部分禁用
    isDisabled(row, index) {
      if (row.makeStatus === '01') { // 01 可以制作
        return true
      } else {
        return false
      }
    },
    // 选择标段（包）
    selectionChange(val) {
      this.$emit('unPackChange', cloneObject(val))
    }
  }
}
</script>

<style lang="less" scoped>

</style>
